//
//  ServiceFaultListCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/10/9.
//

import UIKit

class ServiceFaultListCell: UITableViewCell {
    @IBOutlet weak var lab_category: UILabel!
    @IBOutlet weak var lab_fault: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
extension ServiceFaultListCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String, String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        lab_category.cd.text(data.0)
        lab_fault.cd.text(data.1)
    }
    
    func row_update(config data: ConfigModel) {
    }
}
